Social Account
This method returns details about a specific social account, including its ID, provider (e.g., 'facebook'), UID, last login date, date joined, and any additional data. It also includes the associated user ID.
Token-based authentication with required prefix "Token"
Query parameter date_joined used to filter results based on specific conditions.
Query parameter extra_data used to filter results based on specific conditions.
Query parameter id used to filter results based on specific conditions.
Filters records where id is greater than the given value.
Filters records where id is greater than or equal to the given value.
Filters records where id is less than the given value.
Filters records where id is less than or equal to the given value.
Query parameter last_login used to filter results based on specific conditions.
Limits the number of records returned in a single page. The maximum is 1000. A higher value is capped at 1000 and the request still succeeds.
Query parameter page used to filter results based on specific conditions.
Query parameter provider used to filter results based on specific conditions.
Query parameter sort used to filter results based on specific conditions.
Query parameter uid used to filter results based on specific conditions.
Query parameter user used to filter results based on specific conditions.
Successful response for status code 200.
Numerical value representing quantity or total amount.
123This field defines the URL of the next page.
http://api.example.org/accounts/?page=4This field defines the URL of the previous page.
http://api.example.org/accounts/?page=2GET /api/v1/remote/1/data-warehouse/social-account/accounts/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
Successful response for status code 200.
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"date_joined": "2026-01-01T00:00:00.000Z",
"extra_data": "text",
"id": 1,
"last_login": "2026-01-01T00:00:00.000Z",
"provider": "facebook",
"uid": "text",
"user": 1
}
]
}This method returns details about a specific social account, including its ID, provider (e.g., 'facebook'), UID, last login date, date joined, and any additional data. It also includes the associated user ID. This endpoint retrieves a specific record by its unique identifier.
Token-based authentication with required prefix "Token"
A unique integer value identifying this social account.
Successful response for status code 200.
The field defines the date when the user registered using a social account.
The field defines the extra data related to the social account provider.
Unique identifier for the record.
The field defines the last login date of the user.
facebook- Facebookapple- Appleapple_mobile- Apple Mobileakifast- Akifastturkcell- Turkcellgoogle- Googlegoogle_mobile- Google Mobilejwt_sso- JWT SSO
The field defines the unique UID of the social account.
This field defines the user who triggered the event.
Object not found.
GET /api/v1/remote/1/data-warehouse/social-account/accounts/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
{
"date_joined": "2026-01-01T00:00:00.000Z",
"extra_data": "text",
"id": 1,
"last_login": "2026-01-01T00:00:00.000Z",
"provider": "facebook",
"uid": "text",
"user": 1
}Last updated
Was this helpful?

